.\" -*- nroff -*-
.TH WINE 1 "avril 2010" "Wine 1.5.17" "Windows sur Unix"
.SH NOM
wine \- exécuter des programmes Windows sur Unix
.SH SYNOPSIS
.BI "wine " PROGRAMME
[ARGUMENTS ... ]
.br
.B wine --help
.br
.B wine --version
.PP
Pour des instructions sur le passage d'arguments aux programmes Windows, veuillez lire la section
.B
PROGRAMME/ARGUMENTS
de la page de manuel.
.SH DESCRIPTION
.B wine
charge et exécute le programme indiqué, qui peut être un exécutable DOS, Windows
3.x ou Win32 (binaires x86 uniquement).
.PP
Pour déboguer wine, utilisez plutôt
.BR winedbg .
.PP
Pour exécuter des applications en ligne de commande (programmes Windows
console), préférez
.BR wineconsole .
Cela permet d'afficher la sortie dans une fenêtre séparée (nécessite X11).
Si vous n'utilisez pas
.B wineconsole
pour les programmes en ligne de commande, le support console sera très limité et votre
programme peut ne pas fonctionner correctement.
.PP
Lorsque wine est invoqué avec
.B --help
ou
.B --version
pour seul argument, il
affichera seulement un petit message d'aide ou, respectivement, sa version, puis se terminera.
.SH PROGRAMME/ARGUMENTS
Le nom du programme peut être spécifié au format DOS
.RI ( C:\(rs\(rsWINDOWS\(rs\(rsSOL.EXE )
ou au format Unix
.RI ( /msdos/windows/sol.exe ).
Vous pouvez passer des arguments au programme exécuté en les ajoutant
à la fin de la ligne de commande invoquant
.B wine
(par exemple : wine notepad C:\(rs\(rsTEMP\(rs\(rsLISEZMOI.TXT).
Notez que vous devrez protéger les caractères spéciaux (et les espaces)
en utilisant un '\(rs' lorsque vous invoquez Wine depuis
un shell, par exemple :
.PP
wine C:\(rs\(rsProgram\(rs Files\(rs\(rsMyPrg\(rs\(rstest.exe
.PP
.SH VARIABLES D'ENVIRONNEMENT
.B wine
rend les variables d'environnement du shell depuis lequel
.B wine
est lancé accessibles au processus Windows/DOS exécuté. Utilisez donc la syntaxe
appropriée pour votre shell pour déclarer les variables d'environnement dont vous avez besoin.
.TP
.I WINEPREFIX
Si définie, le contenu de cette variable est pris comme le nom du répertoire où
.B wine
stocke ses données (la valeur par défaut est
.IR $HOME/.wine ).
Ce répertoire est également utilisé pour identifier le socket utilisé pour
communiquer avec
.IR wineserver .
Tous les processus
.B wine
utilisant le même
.B wineserver
(c'est-à-dire le même utilisateur) partagent certains éléments comme la base de registre,
la mémoire partagée et les objets du noyau.
En donnant à
.I WINEPREFIX
une valeur spécifique pour différents processus
.BR wine ,
il est possible d'exécuter plusieurs sessions de
.B wine
totalement indépendantes.
.TP
.I WINESERVER
Spécifie le chemin et le nom de l'exécutable
.BR wineserver .
Si cette variable n'est pas définie, Wine essaiera de charger
.B /usr/bin/wineserver
ou, à défaut, un fichier nommé
\fIwineserver\fR dans le chemin système ou quelques autres emplacements potentiels.
.TP
.I WINELOADER
Spécifie le chemin et le nom de l'exécutable
.B wine
à utiliser pour exécuter de nouveaux processus Windows. S'il n'est pas défini, Wine
essaiera de charger
.B /usr/bin/wine
ou, à défaut, un fichier nommé
"wine" dans le chemin système ou quelques autres emplacements potentiels.
.TP
.I WINEDEBUG
Active ou désactive les messages de débogage. La syntaxe est
la suivante :
.RI [ classe ][+/-] canal [,[ classe2 ][+/-] canal2 ].
.RS +7
.PP
.I classe
est optionnel et peut avoir une des valeurs suivantes :
.BR err ,
.BR warn ,
.B fixme
ou
.BR trace .
Si
.I classe
n'est pas spécifié, tous les messages de débogage pour le canal
spécifié seront activés. Chaque canal imprimera des messages à propos
d'un composant particulier de
.BR wine .
Le caractère suivant peut être + ou - pour activer/désactiver
le canal spécifié. Si aucune
.I classe
n'est spécifiée, le caractère + peut être omis. Notez que les espaces ne sont pas
autorisées dans cette chaîne de caractères.
.PP
Exemples :
.TP
WINEDEBUG=warn+all
activera tous les messages d'avertissement (recommandé pour le débogage).
.br
.TP
WINEDEBUG=warn+dll,+heap
activera tous messages d'avertissement sur les DLL, et tous les messages sur le tas.
.br
.TP
WINEDEBUG=fixme-all,warn+cursor,+relay
désactivera tous les messages FIXME, activera les messages d'avertissement sur le composant cursor et
activera tous les messages du canal relay (appels de l'API).
.br
.TP
WINEDEBUG=relay
activera tous les messages du canal relay. Pour un contrôle plus fin sur l'inclusion et
l'exclusion des fonctions et DLL des traces relay, référez-vous à la section [Debug] du
fichier de configuration de Wine.
.PP
Pour plus d'informations sur les messages de débogage, référez-vous au chapitre
.I Exécution de Wine
du guide de l'utilisateur de Wine.
.RE
.TP
.I WINEDLLPATH
Spécifie le(s) chemin(s) où chercher les DLL intégrées et les applications
Winelib. C'est une liste de répertoires séparés par des « : ». En plus des
répertoires spécifiés dans
.IR WINEDLLPATH ,
Wine utilisera aussi le répertoire
.BR /usr/lib/wine .
.TP
.I WINEDLLOVERRIDES
Définit le type de remplacement et l'ordre de chargement des DLL utilisées lors du
processus de chargement d'une DLL. Deux types de bibliothèques peuvent actuellement
être chargés dans l'espace d'adressage d'un processus : les DLL natives de
Windows
.RI ( native ),
et les DLL fournies par
.B wine
.RI ( builtin ).
Le type peut être abrégé avec la première lettre du type
.RI ( n ", " b ).
La bibliothèque peut également être désactivée (''). Chaque séquence d'ordre doit être séparé par une virgule.
.RS
.PP
Chaque DLL peut avoir son ordre de chargement propre. L'ordre de chargement
détermine quelle version de la DLL doit être chargée dans l'espace
d'adressage. Si la première tentative échoue, la suivante est essayée et
ainsi de suite. Plusieurs bibliothèques avec le même ordre de chargement
peuvent être séparées par une virgule. Il est également possible de spécifier
différents ordres de chargements pour différentes bibliothèques en séparant les
entrées par « ; ».
.PP
L'ordre de chargement pour une DLL 16-bit est toujours défini par l'ordre de chargement
de la DLL 32-bit qui la contient (qui peut être identifié en observant le lien symbolique
du fichier .dll.so 16-bit). Par exemple, si
ole32.dll est configurée comme builtin, storage.dll sera également chargée comme
builtin puisque la DLL 32-bit ole32.dll contient la DLL 16-bit
storage.dll.
.PP
Exemples :
.TP
WINEDLLOVERRIDES="comdlg32,shell32=n,b"
.br
Tente de charger comdlg32 et shell32 comme des DLL windows natives en premier, puis essaie
la version fournie si le chargement de la version native échoue.
.TP
WINEDLLOVERRIDES="comdlg32,shell32=n;c:\(rs\(rsfoo\(rs\(rsbar\(rs\(rsbaz=b"
.br
Tente de charger les bibliothèques windows natives comdlg32 et shell32. De plus, si une
application demande le chargement de  c:\(rsfoo\(rsbar\(rsbaz.dll, chargera la bibliothèque fournie baz.
.TP
WINEDLLOVERRIDES="comdlg32=b,n;shell32=b;comctl32=n;oleaut32="
.br
Tente de charger la bibliothèque fournie comdlg32 en premier, puis
essaie la version native ensuite si le chargement de la version
fournie échoue. Dans tous les cas, la version fournie de shell32 et la
version native de comctl32 sera chargée. Oleaut32 sera désactivée.
.RE
.TP
.I DISPLAY
Spécifie l'affichage X11 à utiliser.
.TP
Variables de configuration du pilote audio OSS
.TP
.I AUDIODEV
Définit le périphérique pour les entrées/sorties audio. La valeur par défaut est
.BR /dev/dsp .
.TP
.I MIXERDEV
Définit le périphérique pour les contrôles du mixer. La valeur par défaut est
.BR /dev/mixer .
.TP
.I MIDIDEV
Définit le périphérique pour le séquenceur MIDI. La valeur par défaut est
.BR /dev/sequencer .
.SH FICHIERS
.TP
.I /usr/bin/wine
Le chargeur de programme de
.BR wine .
.TP
.I /usr/bin/wineconsole
Le chargeur de programme pour les applications en mode console (CUI).
.TP
.I /usr/bin/wineserver
Le serveur
.BR wine .
.TP
.I /usr/bin/winedbg
Le débogueur de
.BR wine .
.TP
.I /usr/lib/wine
Répertoire contenant les bibliothèques partagées de
.BR wine .
.TP
.I $WINEPREFIX/dosdevices
Répertoire contenant le mapping des périphériques DOS. Chaque fichier dans ce
répertoire est un lien symbolique vers le fichier périphérique Unix qui implémente
un périphérique donné. Par exemple, si COM1 est mappé sur /dev/ttyS0, vous aurez un
lien symbolique de la forme $WINEPREFIX/dosdevices/com1 -> /dev/ttyS0.
.br
Les lecteurs DOS sont aussi définis à l'aide de liens symboliques ; par exemple, si le
lecteur D: correspond au CDROM monté sur /mnt/cdrom, vous aurez un lien symbolique
$WINEPREFIX/dosdevices/d: -> /mnt/cdrom. Le périphérique Unix correspondant à un lecteur
DOS peut être spécifié de la même façon, à l'exception du fait qu'il faut utiliser « :: » à
la place de « : ». Dans l'exemple précédent, si le lecteur CDROM est monté depuis /dev/hdc,
le lien symbolique correspondant sera
$WINEPREFIX/dosdevices/d:: -> /dev/hdc.
.SH AUTEURS
.B wine
est disponible grâce au travail de nombreux développeurs. Pour une liste
des auteurs, référez-vous au fichier
.B AUTHORS
à la racine de la distribution source.
.SH COPYRIGHT
.B wine
peut être distribué sous les termes de la licence LGPL. Une copie de cette
licence se trouve dans le fichier
.B COPYING.LIB
à la racine de la distribution source.
.SH ANOMALIES
.PP
Un rapport sur la compatibilité de nombreuses applications est disponible sur
.IR http://appdb.winehq.org .
N'hésitez pas à y ajouter des entrées pour les applications que vous
exécutez en ce moment.
.PP
Les rapports d'anomalie peuvent être postés sur le Bugzilla de Wine
.IR http://bugs.winehq.org .
Si vous souhaitez envoyer un rapport d'anomalie, veuillez vous référer à
.I http://wiki.winehq.org/Bugs
dans les sources de
.B wine
pour voir quelles informations sont nécessaires.
.PP
Les problèmes et suggestions concernant cette page du manuel peuvent également être rapportés sur
.IR http://bugs.winehq.org .
.SH DISPONIBILITÉ
La version publique la plus récente de
.B wine
peut être téléchargée depuis
.IR http://www.winehq.org/download .
.PP
Le dernier développement du code peut être obtenu par git.  Pour des informations
détaillées, veuillez vous référer à
.IR http://www.winehq.org/site/git .
.PP
WineHQ, le quartier général du développement de
.B wine
est situé sur
.IR http://www.winehq.org .
Le site Web contient de nombreuses informations sur
.BR wine .
.PP
Pour plus d'informations sur le développement de
.BR wine ,
vous pouvez vous inscrire aux mailing-lists de
.B wine
sur
.IR http://www.winehq.org/forums .

.SH "VOIR AUSSI"
.BR wineserver (1),
.BR winedbg (1)
