.\" -*- nroff -*-
.TH WINESERVER 1 "avril 2010" "Wine 1.5.17" "Windows sur Unix"
.SH NOM
wineserver \- le serveur Wine
.SH SYNOPSIS
.BI wineserver\  [options]
.SH DESCRIPTION
.B wineserver
est un démon qui fournit à Wine à peu près les mêmes services
que le noyau de Windows fournit sous Windows.
.PP
.B wineserver
est normalement exécuté automatiquement lorsque \fBwine\fR(1) est démarré,
vous ne devriez donc pas vous en préoccuper. Néanmoins, dans certains cas, il
peut être utile de démarrer \fBwineserver\fR explicitement avec certaines options,
comme expliqué ci-après.
.SH OPTIONS
.TP
\fB\-d\fI[n]\fR, \fB--debug\fI[=n]
Définit le niveau de débogage à
.IR n .
0 signifie aucune information de débogage, 1 est le niveau normal et 2 est
pour un débogage plus important. Si
.I n
n'est pas spécifié, la valeur par défaut est 1. La sortie de débogage sera
stderr. \fBwine\fR(1) spécifie automatiquement le niveau de débogage lorsqu'il
démarre \fBwineserver\fR si l'option +server est indiquée dans la variable
WINEDEBUG.
.TP
.BR \-f ", " --foreground
Laisse le serveur au premier plan pour un débogage plus aisé, par
exemple lorsqu'il est exécuté dans un débogueur.
.TP
.BR \-h ", " --help
Affiche un message d'aide.
.TP
\fB\-k\fI[n]\fR, \fB--kill\fI[=n]
Termine le
.B wineserver
actuellement exécuté en envoyant facultativement un signal \fIn\fR. Si
aucun signal n'est spécifié, un signal SIGINT est envoyé en premier,
puis un signal SIGKILL.  L'instance de \fBwineserver\fR qui est
terminée est sélectionnée en fonction de la variable d'environnement
WINEPREFIX.
.TP
\fB\-p\fI[n]\fR, \fB--persistent\fI[=n]
Spécifie le délai de persistance de \fBwineserver\fR, c'est-à-dire le
temps pendant lequel le serveur continuera de tourner après que tous les
processus clients se sont terminés. Ceci évite le coût inhérent à l'arrêt
puis au redémarrage du serveur lorsque des programmes sont lancés successivement
à intervalle rapproché.
Le délai d'attente \fIn\fR est exprimé en secondes (3 secondes par défaut).
Si \fIn\fR n'est pas spécifié, le serveur s'exécute indéfiniment.
.TP
.BR \-v ", " --version
Affiche les informations sur la version et quitte.
.TP
.BR \-w ", " --wait
Attend que le
.B wineserver
actuellement exécuté se termine.
.SH VARIABLES D'ENVIRONNEMENT
.TP
.I WINEPREFIX
Si définie, le contenu de cette variable est pris comme le nom du répertoire où
.B wineserver
stocke ses données (la valeur par défaut est \fI$HOME/.wine\fR). Tous les processus
.B wine
utilisant le même
.B wineserver
(c'est-à-dire pour un même utilisateur) partagent certains éléments comme la base de registre,
la mémoire partagée et les objets du noyau.
En donnant à
.I WINEPREFIX
une valeur spécifique pour différents processus Wine, il est possible d'exécuter plusieurs
sessions de Wine totalement indépendantes.
.TP
.I WINESERVER
Spécifie le chemin et le nom de l'exécutable
.B wineserver
qui sera lancé automatiquement par \fBwine\fR.
Si cette variable n'est pas définie, Wine essaiera de charger
.I /usr/bin/wineserver
ou, à défaut, un fichier nommé
\fIwineserver\fR dans le chemin système ou quelques autres emplacements potentiels.
.SH FICHIERS
.TP
.B ~/.wine
Répertoire contenant les données utilisateur gérées par
.BR wine .
.TP
.BI /tmp/.wine- uid
Le répertoire contenant le socket de serveur Unix et le fichier de verrouillage.
Ces fichiers sont créés dans un sous-répertoire dont le nom est généré à partir
des périphérique et numéros d'inodes du répertoire WINEPREFIX.
.SH AUTEURS
L'auteur originel de
.B wineserver
est Alexandre Julliard. Beaucoup d'autres personnes ont contribué de nouvelles fonctionnalités
et des correction d'anomalies. Référez-vous au fichier Changelog dans la distribution de Wine
pour les détails complets.
.SH ANOMALIES
Si vous détectez une anomalie, veuillez soumettre un rapport d'anomalie sur
.UR http://bugs.winehq.org
.BR http://bugs.winehq.org .
.UE
.SH DISPONIBILITÉ
.B wineserver
fait partie de la distribution de Wine qui est disponible depuis WineHQ,
le quartier général des développeurs de Wine, sur
.UR http://www.winehq.org/
.BR http://www.winehq.org/ .
.UE
.SH "VOIR AUSSI"
.BR wine (1).
